GDB (API)

Public Attributes | List of all members
call_site_parameter Struct Reference

`#include "gdbtypes.h"`

## Public Attributes
__extension__ enum call_site_parameter_kind | kind: 2
union call_site_parameter_u | u
const gdb_byte * | value
size_t | value_size
const gdb_byte * | data_value
size_t | data_value_size

## Detailed Description

Definition at line 1133 of file gdbtypes.h.

## Member Data Documentation

## ◆ data_value

const gdb_byte* call_site_parameter::data_value

DW_TAG_formal_parameter's DW_AT_call_data_value. It may be NULL if not provided by DWARF.

Definition at line 1147 of file gdbtypes.h.

## ◆ data_value_size

size_t call_site_parameter::data_value_size

Definition at line 1148 of file gdbtypes.h.

## ◆ kind

__extension__ enum call_site_parameter_kind call_site_parameter::kind

Definition at line 1135 of file gdbtypes.h.

## ◆ u

union call_site_parameter_u call_site_parameter::u

Definition at line 1137 of file gdbtypes.h.

## ◆ value

const gdb_byte* call_site_parameter::value

DW_TAG_formal_parameter's DW_AT_call_value. It is never NULL.

Definition at line 1141 of file gdbtypes.h.

## ◆ value_size

size_t call_site_parameter::value_size

Definition at line 1142 of file gdbtypes.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbtypes.h